## List task turns **get** `/api/tasks/{taskId}/turns` List the individual turns for a task in execution order. ### Path Parameters - `taskId: string` ### Returns - `TaskTurnList object { items, taskId }` - `items: array of Turn` - `id: string` - `completedAt: string` - `credits: number` - `durationMs: number` - `files: array of object { filename, mediaType, url, size }` Files published by this turn. - `filename: string` - `mediaType: string` - `url: string` - `size: optional number` - `input: string` - `inputTokens: number` - `outputText: string` - `outputTokens: number` - `role: string` - `seq: number` - `startedAt: string` - `status: string` - `structuredOutput: map[unknown]` Structured JSON payload when the worker is configured with an output schema. `null` otherwise. - `taskId: string` - `taskId: string` ### Example ```http curl https://handinger.com/api/tasks/$TASK_ID/turns \ -H "Authorization: Bearer $HANDINGER_API_KEY" ``` #### Response ```json { "items": [ { "id": "trn_4Hq-9Vk2pLm8Rx", "completedAt": "2026-05-11T09:14:48.000Z", "credits": 42, "durationMs": 25812, "files": [ { "filename": "filename", "mediaType": "mediaType", "url": "https://example.com", "size": 0 } ], "input": "What's the weather today in Barcelona?", "inputTokens": 1842, "outputText": "It's currently 21°C and sunny in Barcelona with a light breeze from the south-east.", "outputTokens": 312, "role": "assistant", "seq": 0, "startedAt": "2026-05-11T09:14:22.000Z", "status": "completed", "structuredOutput": { "temperatureCelsius": "bar", "conditions": "bar" }, "taskId": "tsk_2Z-YWz3hFq6VlW" } ], "taskId": "tsk_2Z-YWz3hFq6VlW" } ```